Bug 412611 - RFE: Command-Line interface for Conga
Summary: RFE: Command-Line interface for Conga
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga   
(Show other bugs)
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-05 19:20 UTC by Vinny Valdez
Modified: 2016-04-26 14:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 501519 (view as bug list)
Environment:
Last Closed: 2009-05-19 14:57:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vinny Valdez 2007-12-05 19:20:23 UTC
Description of request:
It would be nice if we could script a cluster/storage setup using the existing
ricci/luci infrastructure.  I am currently working on a script that will
communicate with ricci, and perform a limited subset of what luci does, such as
prompt for cluster name, node names, install packages, create cluster.conf, and
reboot the nodes.  I would also like to be able to prompt for shared storage dev
ice (or probe), and automate a GFS volume creation after the cluster is running.

This would be useful for smaller (say 2-node direct attached to storage)
implementations, where a lot of the variables are known.

Comment 5 Perry Myers 2009-05-19 14:57:47 UTC
Deferring this requirement to RHEL6 when we'll have a QMF interface for ricci and can build a true CLI off of that interface.

Comment 6 Subhendu Ghosh 2009-05-20 14:44:49 UTC
BZ 209439 - for CLI support


Note You need to log in before you can comment on or make changes to this bug.